### Method

# Gimp Drawable posterize

deprecated: 3.2 since: 2.10

#### Declaration [src]

    gboolean
    gimp_drawable_posterize (
      GimpDrawable* drawable,
      gint levels
    )

#### Description [src]

Posterize the specified drawable.

This procedures reduces the number of shades allows in each intensity channel to the specified ‘levels’ parameter.

Available since: 2.10

Deprecated since: 3.2

Use filter “gimp:posterize” instead.

#### Parameters

`levels`

  Type: `gint`

  Levels of posterization.

#### Return value

Type: `gboolean`

TRUE on success.